import type { lexer } from 'good-enough-parser';
import type { Ctx, NonEmptyArray, PackageVariables } from '../types';
export declare const REGISTRY_URLS: {
    google: string;
    gradlePluginPortal: string;
    jcenter: string;
    mavenCentral: string;
};
export declare const ANNOYING_METHODS: ReadonlySet<string>;
export declare function storeVarToken(ctx: Ctx, node: lexer.Token): Ctx;
export declare function storeInTokenMap(ctx: Ctx, tokenMapKey: string): Ctx;
export declare function loadFromTokenMap(ctx: Ctx, tokenMapKey: string): NonEmptyArray<lexer.Token>;
export declare function cleanupTempVars(ctx: Ctx): Ctx;
export declare function stripReservedPrefixFromKeyTokens(ctx: Ctx): Ctx;
export declare function coalesceVariable(ctx: Ctx): Ctx;
export declare function interpolateString(childTokens: lexer.Token[], variables: PackageVariables): string | null;
